##########################################################
# TCL-Script, welches nach einem bestimmten Zeitraum     #
# einen Spruch ausgibt.                                  #
# --------------------------------------------------     #
# Thnx to: MacFrosty fuer die Idee ;)                    #
# --------------------------------------------------     #
# Author: Thomas Langer                                  # 
# Web: http://www.langersoft.de                          #
# Bugreports, Anregungen, etc. an: tlanger@langersoft.de # 
# IRC: irc-langersoft.ath.cx #LangerSoft                 # 
##########################################################

## VARIABLEN / BITTE BEARBEITEN ;) ##

# In welchen Channeln soll ein Spruch ausgegeben werden?
set channels "#LangerSoft #Channel2"


# Spruchdatei, wie heisst die Datei, aus welchen die Sprueche ausgelesen
# werden sollen? (Datei muss im eggdrop-Verzeichnis liegen)
set dateiname "sprueche.txt"


# Wann soll der Spruch ausgegeben werden?
# Der erste Stern steht fuer die Minuten
# Der zweite fuer die Stunde
# bind time - "00 * * * * ausgabe wuerde den Spruch jede
# volle Stunde ausgeben, wobei bind time - "00 06 * * *"
# nur taeglich um 6 einen Spruch ausgeben wuerde.
bind time - "00 * * * *" ausgabe


## !! AB HIER NIX VERNDERN !! ##

proc ausgabe {n h a c t} {
 global channels dateiname nickname

 set datei [open $dateiname r]
 set anzahlges [llength [split [read $datei] %]]
 
 seek $datei 0 start
 
 set anzahlges [expr $anzahlges - 1]
 set anzahl [rand $anzahlges]

 for {set i 0} {$i <= $anzahl} {incr i} {
  set spruch [gets $datei]
 }
 
 set laenge [string length $spruch]
 set laenge [expr $laenge - 2]
 set spruch [string range $spruch 0 $laenge]

 foreach chan $channels {  
  putserv "PRIVMSG $chan :-<---"
  putserv "PRIVMSG $chan :$spruch"
  putserv "PRIVMSG $chan :--->-"
 }
 
 close $datei
 unset datei
 unset spruch
 unset anzahl
 unset anzahlges
 unset laenge
}

putlog ""
putlog "Loading Spruchscript ..."
putlog "Web:  http://www.langersoft.de"
putlog "Mail: tlanger@langersoft.de"
putlog ""

